package com.ruoyi.ibs.custmap.domain.vo;

import com.ruoyi.common.core.domain.entity.SysDictData;
import lombok.Data;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/5/28
 **/
@Data
public class CompanyTypeVO {

    private Long sort;

    private String label;

    private String value;

    private List<CompanyTypeVO> children;

    public CompanyTypeVO(SysDictData sysDictData) {
        this.sort = sysDictData.getDictSort();
        this.label = sysDictData.getDictLabel();
        this.value = sysDictData.getDictValue();
    }
}
